<?php

/*
 * ----------------------------------------------------
 * 程序名称: 牛叉广告管理系统(NiuXams)
 * 程序功能: 实现专业的广告投放、管理和统计等管理系统！
 * 程序开发: 牛叉软件(NiuXSoft.com)
 * 版权所有: [NiuXams] (C)2013-2099 NiuXSoft.com
 * 官方网站: www.niuxsoft.com  Email: niuxsoft@163.com
 * ----------------------------------------------------
 * 使用条款:
 * 1.为构建创新型经济社会,请尊重保护知识产权！
 * 2.该软件个人非商业用途免费使用.
 * 3.免费使用禁止修改版权信息和官方推广链接.
 * 4.禁止任何衍生版本.禁止任何非法修改源代码贩卖.
 * ----------------------------------------------------
 */

defined('NIUX_INCLUDED') or exit('Access Denied.');
$id = empty($_POST['id']) ? (empty($_GET['id']) ? 0 : $_GET['id']) : $_POST['id'];
is_int($id) || $id >= 0 || die('非法输入！');
$title = $id ? '修改' : '新增';
$title .= '权限组' . ($id ? ' ID：' . $id : '');
$pid = '';
$name = '';
$funcSelect = '';
$funcMenu = file('sz_admin_p_menu.php');
array_shift($funcMenu);
foreach ($funcMenu as $val) {
    $gnsm = explode(' ', $val);
    if ($gnsm[0] && $gnsm[1]) {
        $funcSelect .= '<option value="' . htmlspecialchars($gnsm[0]) . '">' . htmlspecialchars(rtrim($gnsm[1], PHP_EOL)) . '</option>';
    }
}
